View Issue Details

IDProjectCategoryView StatusLast Update
16412Bug reportsUser / Groups / Rolespublic2020-07-13 12:35
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.3.0 
Fixed in Version4.3.3 
Summary16412: Unable to manage user with debug set
Description

If debug = 2 : unable to go to user management

Steps To Reproduce

Go to user management

Additional Information

See CSV for user : seems to broke to the primary user …

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.3.0 git
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Version7.4.6

Activities

DenisChenu

DenisChenu

2020-06-22 17:18

developer  

PHP notice.html (25,617 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PHP notice</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>PHP notice</h1>

	<p class="message">
		Trying to access array offset on value of type null	</p>

	<div class="source">
		<p class="file">/mnt/data/shnoulle/nginx/www/master/application/models/User.php(856)</p>
		<div class="code"><pre><span class="ln">844</span>                     $criteria-&gt;addCondition('t.created &gt;= \'' . $s2 . '\'');
<span class="ln">845</span>                 }else{
<span class="ln">846</span>                     throw new Exception('wrong date format.');
<span class="ln">847</span>                 }
<span class="ln">848</span>             }catch (Exception $e){
<span class="ln">849</span>                 //could only mean wrong input from user ...reset filter value
<span class="ln">850</span>                 $this-&gt;created='';
<span class="ln">851</span>             }
<span class="ln">852</span>         }
<span class="ln">853</span> 
<span class="ln">854</span>         //filter for parentUserName
<span class="ln">855</span>         $getParentName = Yii::app()-&gt;request-&gt;getParam('User');
<span class="error"><span class="ln error-ln">856</span>         $getParentName = $getParentName['parentUserName'];
</span><span class="ln">857</span>         if(isset($getParentName) &amp;&amp; $getParentName!==null &amp;&amp; $getParentName!==''){
<span class="ln">858</span>             $criteria-&gt;join = "LEFT JOIN lime_users luparent ON t.parent_id = luparent.uid";
<span class="ln">859</span>             $criteria-&gt;compare('luparent.users_name', $getParentName, true, 'OR');
<span class="ln">860</span>         }
<span class="ln">861</span> 
<span class="ln">862</span>         return new CActiveDataProvider($this, array(
<span class="ln">863</span>             'criteria'=&gt;$criteria,
<span class="ln">864</span>             'pagination' =&gt; array(
<span class="ln">865</span>                 'pageSize' =&gt; $pageSize
<span class="ln">866</span>             )
<span class="ln">867</span>         ));
<span class="ln">868</span>     }
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace app expanded">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/views/userManagement/index.php(65): <strong>User</strong>-&gt;<strong>search</strong>()				</div>

				<div class="code"><pre><span class="ln">60</span>     &lt;div class="container-fluid"&gt;
<span class="ln">61</span>         &lt;?php
<span class="ln">62</span>             $this-&gt;widget('bootstrap.widgets.TbGridView', array(
<span class="ln">63</span>                 'id' =&gt; 'usermanagement--identity-gridPanel',
<span class="ln">64</span>                 'itemsCssClass' =&gt; 'table table-striped items',
<span class="error"><span class="ln error-ln">65</span>                 'dataProvider' =&gt; $model-&gt;search(),
</span><span class="ln">66</span>                 'columns' =&gt; $columnDefinition,
<span class="ln">67</span>                 'filter' =&gt; $model,
<span class="ln">68</span>                 'afterAjaxUpdate' =&gt; 'LS.UserManagement.bindButtons',
<span class="ln">69</span>                 'summaryText'   =&gt; "&lt;div class='row' style='text-align:left; color:#000'&gt;"
<span class="ln">70</span>                 ."&lt;div class='col-xs-6 content-left'&gt;".$massiveAction."&lt;/div&gt;"
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CBaseController.php(126): <strong>require</strong>("/mnt/data/shnoulle/nginx/www/master/application/views/userManage...")				</div>

				<div class="code"><pre><span class="ln">121</span>             $data=$_data_;
<span class="ln">122</span>         if($_return_)
<span class="ln">123</span>         {
<span class="ln">124</span>             ob_start();
<span class="ln">125</span>             ob_implicit_flush(false);
<span class="error"><span class="ln error-ln">126</span>             require($_viewFile_);
</span><span class="ln">127</span>             return ob_get_clean();
<span class="ln">128</span>         }
<span class="ln">129</span>         else
<span class="ln">130</span>             require($_viewFile_);
<span class="ln">131</span>     }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CBaseController.php(95): <strong>CBaseController</strong>-&gt;<strong>renderInternal</strong>("/mnt/data/shnoulle/nginx/www/master/application/views/userManage...",
 array("model" =&gt; User, "columnDefinition" =&gt; array(array("name" 
=&gt; "managementCheckbox", "type" =&gt; "raw", "header" =&gt; 
"&lt;input type='checkbox' 
id='usermanagement--action-toggleAllUsers...", "filter" =&gt; false), 
array("name" =&gt; "managementButtons", "type" =&gt; "raw", "header" 
=&gt; "Action", "filter" =&gt; false, ...), array("name" =&gt; "uid", 
"header" =&gt; "Identifiant utilisateur"), array("name" =&gt; 
"users_name", "header" =&gt; "Nom d’utilisateur"), ...), "pageSize" 
=&gt; 20, "formUrl" =&gt; "/master/userManagement/index", ...), true)			
	</div>

				<div class="code"><pre><span class="ln">090</span>     {
<span class="ln">091</span>         $widgetCount=count($this-&gt;_widgetStack);
<span class="ln">092</span>         if(($renderer=Yii::app()-&gt;getViewRenderer())!==null &amp;&amp; $renderer-&gt;fileExtension==='.'.CFileHelper::getExtension($viewFile))
<span class="ln">093</span>             $content=$renderer-&gt;renderFile($this,$viewFile,$data,$return);
<span class="ln">094</span>         else
<span class="error"><span class="ln error-ln">095</span>             $content=$this-&gt;renderInternal($viewFile,$data,$return);
</span><span class="ln">096</span>         if(count($this-&gt;_widgetStack)===$widgetCount)
<span class="ln">097</span>             return $content;
<span class="ln">098</span>         else
<span class="ln">099</span>         {
<span class="ln">100</span>             $widget=end($this-&gt;_widgetStack);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(872): <strong>CBaseController</strong>-&gt;<strong>renderFile</strong>("/mnt/data/shnoulle/nginx/www/master/application/views/userManage...",
 array("model" =&gt; User, "columnDefinition" =&gt; array(array("name" 
=&gt; "managementCheckbox", "type" =&gt; "raw", "header" =&gt; 
"&lt;input type='checkbox' 
id='usermanagement--action-toggleAllUsers...", "filter" =&gt; false), 
array("name" =&gt; "managementButtons", "type" =&gt; "raw", "header" 
=&gt; "Action", "filter" =&gt; false, ...), array("name" =&gt; "uid", 
"header" =&gt; "Identifiant utilisateur"), array("name" =&gt; 
"users_name", "header" =&gt; "Nom d’utilisateur"), ...), "pageSize" 
=&gt; 20, "formUrl" =&gt; "/master/userManagement/index", ...), true)			
	</div>

				<div class="code"><pre><span class="ln">867</span>      */
<span class="ln">868</span>     public function renderPartial($view,$data=null,$return=false,$processOutput=false)
<span class="ln">869</span>     {
<span class="ln">870</span>         if(($viewFile=$this-&gt;getViewFile($view))!==false)
<span class="ln">871</span>         {
<span class="error"><span class="ln error-ln">872</span>             $output=$this-&gt;renderFile($viewFile,$data,true);
</span><span class="ln">873</span>             if($processOutput)
<span class="ln">874</span>                 $output=$this-&gt;processOutput($output);
<span class="ln">875</span>             if($return)
<span class="ln">876</span>                 return $output;
<span class="ln">877</span>             else
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(785): <strong>CController</strong>-&gt;<strong>renderPartial</strong>("index",
 array("model" =&gt; User, "columnDefinition" =&gt; array(array("name" 
=&gt; "managementCheckbox", "type" =&gt; "raw", "header" =&gt; 
"&lt;input type='checkbox' 
id='usermanagement--action-toggleAllUsers...", "filter" =&gt; false), 
array("name" =&gt; "managementButtons", "type" =&gt; "raw", "header" 
=&gt; "Action", "filter" =&gt; false, ...), array("name" =&gt; "uid", 
"header" =&gt; "Identifiant utilisateur"), array("name" =&gt; 
"users_name", "header" =&gt; "Nom d’utilisateur"), ...), "pageSize" 
=&gt; 20, "formUrl" =&gt; "/master/userManagement/index", ...), true)			
	</div>

				<div class="code"><pre><span class="ln">780</span>      */
<span class="ln">781</span>     public function render($view,$data=null,$return=false)
<span class="ln">782</span>     {
<span class="ln">783</span>         if($this-&gt;beforeRender($view))
<span class="ln">784</span>         {
<span class="error"><span class="ln error-ln">785</span>             $output=$this-&gt;renderPartial($view,$data,true);
</span><span class="ln">786</span>             if(($layoutFile=$this-&gt;getLayoutFile($this-&gt;layout))!==false)
<span class="ln">787</span>                 $output=$this-&gt;renderFile($layoutFile,array('content'=&gt;$output),true);
<span class="ln">788</span> 
<span class="ln">789</span>             $this-&gt;afterRender($view,$output);
<span class="ln">790</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/controllers/UserManagementController.php(70): <strong>CController</strong>-&gt;<strong>render</strong>("index",
 array("model" =&gt; User, "columnDefinition" =&gt; array(array("name" 
=&gt; "managementCheckbox", "type" =&gt; "raw", "header" =&gt; 
"&lt;input type='checkbox' 
id='usermanagement--action-toggleAllUsers...", "filter" =&gt; false), 
array("name" =&gt; "managementButtons", "type" =&gt; "raw", "header" 
=&gt; "Action", "filter" =&gt; false, ...), array("name" =&gt; "uid", 
"header" =&gt; "Identifiant utilisateur"), array("name" =&gt; 
"users_name", "header" =&gt; "Nom d’utilisateur"), ...), "pageSize" 
=&gt; 20, "formUrl" =&gt; "/master/userManagement/index", ...))				</div>

				<div class="code"><pre><span class="ln">65</span>         return $this-&gt;render('index', [
<span class="ln">66</span>             'model' =&gt; $aData['model'],
<span class="ln">67</span>             'columnDefinition' =&gt; $aData['columnDefinition'],
<span class="ln">68</span>             'pageSize' =&gt; $aData['pageSize'],
<span class="ln">69</span>             'formUrl' =&gt; $aData['formUrl'],
<span class="error"><span class="ln error-ln">70</span>             'massiveAction' =&gt; $aData['massiveAction'],
</span><span class="ln">71</span>         ]);
<span class="ln">72</span>     }
<span class="ln">73</span> 
<span class="ln">74</span>     /**
<span class="ln">75</span>      * Open modal to edit, or create a new user
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/actions/CInlineAction.php(49): <strong>UserManagementController</strong>-&gt;<strong>actionIndex</strong>()				</div>

				<div class="code"><pre><span class="ln">44</span>         $controller=$this-&gt;getController();
<span class="ln">45</span>         $method=new ReflectionMethod($controller, $methodName);
<span class="ln">46</span>         if($method-&gt;getNumberOfParameters()&gt;0)
<span class="ln">47</span>             return $this-&gt;runWithParamsInternal($controller, $method, $params);
<span class="ln">48</span> 
<span class="error"><span class="ln error-ln">49</span>         $controller-&gt;$methodName();
</span><span class="ln">50</span>         return true;
<span class="ln">51</span>     }
<span class="ln">52</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(308): <strong>CInlineAction</strong>-&gt;<strong>runWithParams</strong>(array())				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(CInlineAction)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(CInlineAction, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/application/controllers/LSBaseController.php(140): <strong>CController</strong>-&gt;<strong>run</strong>("index")				</div>

				<div class="code"><pre><span class="ln">135</span>                     $this-&gt;redirect(array('/admin/authentication/sa/login'));
<span class="ln">136</span>                 }
<span class="ln">137</span>             }
<span class="ln">138</span>         }
<span class="ln">139</span> 
<span class="error"><span class="ln error-ln">140</span>         parent::run($action);
</span><span class="ln">141</span>     }
<span class="ln">142</span> 
<span class="ln">143</span>     /**
<span class="ln">144</span>      * Load and set session vars
<span class="ln">145</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CWebApplication.php(282): <strong>LSBaseController</strong>-&gt;<strong>run</strong>("index")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/web/CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("userManagement/index")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/framework/base/CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;/mnt/data/shnoulle/nginx/www/master/index.php(182): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">177</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">178</span> 
<span class="ln">179</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">180</span> 
<span class="ln">181</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">182</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">183</span> 
<span class="ln">184</span> /* End of file index.php */
<span class="ln">185</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2020-06-22 15:14:11 nginx/1.18.0 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.22-dev	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



<div id="grammalecte_menu_main_button_shadow_host" style="width: 0px; height: 0px;"></div></body><script src="PHP%20notice_fichiers/api.js"></script></html>
PHP notice.html (25,617 bytes)   
DenisChenu

DenisChenu

2020-06-22 17:19

developer   ~58378

lime_users-1.csv (551 bytes)   
uid,users_name,full_name,parent_id,lang,email,htmleditormode,templateeditormode,questionselectormode,one_time_pw,dateformat,created,modified,lastLogin
1,DenisChenu,Administrator,0,fr,denis@sondages.pro,wysiwyg,full,none,NULL,1,2019-06-03 10:29:09,2020-06-22 16:30:19,2020-06-22 14:30:19
8,Test,test,1,auto,noreply@sondages.pro,default,default,default,NULL,1,2020-03-03 08:14:44,2020-04-20 14:40:59,2020-04-13 16:46:27
9,XSSUSER,XSSUSER,1,auto,contact@sondages.pro,source,default,none,NULL,1,2020-04-13 18:47:35,2020-04-20 14:56:36,2020-04-13 17:05:59
lime_users-1.csv (551 bytes)   
DenisChenu

DenisChenu

2020-07-08 16:38

developer   ~58796

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=30261

DenisChenu

DenisChenu

2020-07-08 16:39

developer   ~58797

Sorry for not testing, but when you want to check some Permission issue … and have to disable debug each time you want to edit an user …

lime_release_bot

lime_release_bot

2020-07-13 12:35

administrator   ~58919

Fixed in Release 4.3.4+200713

Related Changesets

LimeSurvey: master ab3699ed

2020-07-08 16:38:38

DenisChenu

Details Diff
Fixed issue 16412: Unable to manage user with debug set
Dev: just avoid PHP Notice
Affected Issues
16412
mod - application/models/User.php Diff File

Issue History

Date Modified Username Field Change
2020-06-22 17:18 DenisChenu New Issue
2020-06-22 17:18 DenisChenu File Added: lime_users-1.csv
2020-06-22 17:18 DenisChenu File Added: PHP notice.html
2020-06-22 17:18 DenisChenu File Deleted: lime_users-1.csv
2020-06-22 17:19 DenisChenu Note Added: 58378
2020-06-22 17:19 DenisChenu File Added: lime_users-1.csv
2020-07-08 16:38 DenisChenu Changeset attached => LimeSurvey master ab3699ed
2020-07-08 16:38 DenisChenu Note Added: 58796
2020-07-08 16:38 DenisChenu Assigned To => DenisChenu
2020-07-08 16:38 DenisChenu Resolution open => fixed
2020-07-08 16:39 DenisChenu Status new => resolved
2020-07-08 16:39 DenisChenu Fixed in Version => 4.3.3
2020-07-08 16:39 DenisChenu Note Added: 58797
2020-07-13 12:35 lime_release_bot Note Added: 58919
2020-07-13 12:35 lime_release_bot Status resolved => closed